/********************************************************************
* Function		: PIC16F1937 CONFIG Bits
* Description	:
*    This is from MPLAB Code Configuration v3.
*    MPLAB Code Configuration v3 is located in [Tools] -> [Embedded].
*    CONFIG1 and CONFIG2 are MANDATORY for operating MCU.
* Argument		: None
* Return		: None
********************************************************************/


// CONFIG1
#pragma config IESO = OFF		// Internal/External Switchover->Internal/External Switchover mode is disabled
#pragma config BOREN = OFF		// Brown-out Reset Enable->Brown-out Reset disabled
#pragma config PWRTE = OFF		// Power-up Timer Enable->PWRT disabled
#pragma config FOSC = INTOSC	// Oscillator Selection->INTOSC oscillator: I/O function on CLKIN pin
#pragma config FCMEN = OFF		// Fail-Safe Clock Monitor Enable->Fail-Safe Clock Monitor is disabled
#pragma config MCLRE = ON		// MCLR Pin Function Select->MCLR/VPP pin function is MCLR
#pragma config CP = OFF			// Flash Program Memory Code Protection->Program memory code protection is disabled
#pragma config CPD = OFF		// Data Memory Code Protection->Data memory code protection is disabled
#pragma config WDTE = OFF		// Watchdog Timer Enable->WDT disabled
#pragma config CLKOUTEN = ON	// Clock Out Enable->CLKOUT function is enabled on the CLKOUT pin

// CONFIG2
#pragma config WRT = OFF		// Flash Memory Self-Write Protection->Write protection off
#pragma config VCAPEN = OFF		// Voltage Regulator Capacitor Enable->All VCAP pin functionality is disabled
#pragma config LVP = OFF		// Low-Voltage Programming Enable->High-voltage on MCLR/VPP must be used for programming
#pragma config STVREN = OFF		// Stack Overflow/Underflow Reset Enable->Stack Overflow or Underflow will not cause a Reset
#pragma config PLLEN = OFF		// PLL Enable->4x PLL disabled
#pragma config BORV = LO		// Brown-out Reset Voltage Selection->Brown-out Reset Voltage (Vbor), low trip point selected.
